I still need some time to really document the differences for 5.1.x installation requirements. But MySQL is still bugfixing 5.0.x and therefore this release. This (5.0.81) is the version that comes after 5.0.77. This is a bug and security fix release and it is available in source format only. Because this is a security fix I would urge you all to upgrade your MySQL server installation.

Check all the fixes that are listed on the release notes to see what issues are resolved.

I’ve compiled this version and did some simple tests on Leopard and Tiger and both can be compiled and installed using the instructions in the documentation set without problems.

Read the documentation on how to ugrade MySQL.